Module waffle.jna
Package waffle.windows.auth.impl

# Class WindowsCredentialsHandleImpl

java.lang.Object
waffle.windows.auth.impl.WindowsCredentialsHandleImpl

All Implemented Interfaces:
  `IWindowsCredentialsHandle`

public class WindowsCredentialsHandleImpl extends Object implements IWindowsCredentialsHandle
Pre-existing credentials of a security principal. This is a handle to a previously authenticated logon data used by a security principal to establish its own identity, such as a password, or a Kerberos protocol ticket.

## Constructor Summary

Constructors
Constructor
Description
`WindowsCredentialsHandleImpl(String newPrincipalName, int newCredentialsType, String newSecurityPackage)`
A new Windows credentials handle.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose of the credentials handle.
`static IWindowsCredentialsHandle`
`getCurrent(String securityPackage)`
Returns the current credentials handle.
`com.sun.jna.platform.win32.Sspi.CredHandle`
`getHandle()`
Get CredHandle.
`void`
`initialize()`
Initialize a new credentials handle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsCredentialsHandleImpl

public WindowsCredentialsHandleImpl(String newPrincipalName, int newCredentialsType, String newSecurityPackage)
A new Windows credentials handle.

Parameters:
  `newPrincipalName` - Principal name.
  `newCredentialsType` - Credentials type.
  `newSecurityPackage` - Security package.

## Method Details

### getCurrent

public static IWindowsCredentialsHandle getCurrent(String securityPackage)
Returns the current credentials handle.

Parameters:
  `securityPackage` - Security package, eg. "Negotiate".
Returns:
  A windows credentials handle

### initialize

public void initialize()
Initialize a new credentials handle.

Specified by:
  `initialize` in interface `IWindowsCredentialsHandle`

### dispose

public void dispose()
Dispose of the credentials handle.

Specified by:
  `dispose` in interface `IWindowsCredentialsHandle`

### getHandle

public com.sun.jna.platform.win32.Sspi.CredHandle getHandle()
Get CredHandle.

Specified by:
  `getHandle` in interface `IWindowsCredentialsHandle`
Returns:
  the handle